import { LoginRoutineEnum } from "../../../enums/loginRoutineEnum";

export interface CreateUserCommand {
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
  secret: string;
  isOwner: boolean;
  routine: LoginRoutineEnum;
}

export interface UpdateUserCommand {
  id: string;
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
}

export interface UpdateUserSecretCommand {
  id: string;
  secret: string;
  routine: LoginRoutineEnum;
}

export interface TransferUserOwnerCommand {
  fromId: string;
  toId: string;
}

export interface UpdateUserRolesCommand {
  id: string;
  roleIds: Array<number>;
}

export interface DeleteUserCommand {
  id: string;
}
