import { communication } from "../entity/club/member/communication";
import { member } from "../entity/club/member/member";
import { memberAwards } from "../entity/club/member/memberAwards";
import { memberExecutivePositions } from "../entity/club/member/memberExecutivePositions";
import { memberQualifications } from "../entity/club/member/memberQualifications";
import { membership } from "../entity/club/member/membership";

export const memberDemoData: {
  member: Partial<member>;
  today: string;
  memberships: Array<Partial<membership>>;
  awards: Array<Partial<memberAwards>>;
  qualifications: Array<Partial<memberQualifications>>;
  positions: Array<Partial<memberExecutivePositions>>;
  communications: Array<Partial<communication>>;
} = {
  today: "Montag, 17.03.2025",
  member: {
    id: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
    firstname: "Julian",
    lastname: "Krauser",
    nameaffix: "",
    //@ts-ignore
    birthdate: "2003-09-20",
    internalId: "1312",
    salutationId: 47,
    salutation: { id: 47, salutation: "Herr", members: [] },
    firstMembershipEntry: {
      id: 8681,
      //@ts-ignore
      start: "2017-11-13",
      end: null,
      terminationReason: null,
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      statusId: 34,
      status: { id: 34, status: "aktiv", memberships: [] },
      //@ts-ignore
      member: {},
    },
    lastMembershipEntry: {
      id: 8681,
      //@ts-ignore
      start: "2017-11-13",
      end: null,
      terminationReason: null,
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      statusId: 34,
      status: { id: 34, status: "aktiv", memberships: [] },
      //@ts-ignore
      member: {},
    },
    preferredCommunication: [
      {
        id: 7031,
        preferred: true,
        isSMSAlarming: false,
        isSendNewsletter: true,
        mobile: "",
        email: "julian.krauser@jk-effects.com",
        postalCode: "",
        city: "",
        street: "",
        streetNumber: 0,
        streetNumberAddition: "",
        memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
        typeId: 46,
        type: { id: 46, type: "Email", useColumns: ["email"], communications: [] },
        // @ts-ignore
        member: {},
      },
    ],
    smsAlarming: [],
    sendNewsletter: {
      id: 7031,
      preferred: true,
      isSMSAlarming: false,
      isSendNewsletter: true,
      mobile: "",
      email: "julian.krauser@jk-effects.com                             ",
      postalCode: "",
      city: "",
      street: "",
      streetNumber: 0,
      streetNumberAddition: "",
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      typeId: 46,
      type: { id: 46, type: "Email", useColumns: ["email"], communications: [] },
      // @ts-ignore
      member: {},
    },
  },
  memberships: [
    {
      id: 8681,
      //@ts-ignore
      start: "2017-11-13",
      end: null,
      terminationReason: null,
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      statusId: 34,
      status: { id: 34, status: "aktiv", memberships: [] },
    },
  ],
  awards: [],
  qualifications: [],
  positions: [
    {
      id: 696,
      note: "",
      //@ts-ignore
      start: "2025-01-06",
      end: null,
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      executivePositionId: 192,
      executivePosition: { id: 192, position: "Schriftführer", members: [] },
    },
  ],
  communications: [
    {
      id: 7031,
      preferred: true,
      isSMSAlarming: false,
      isSendNewsletter: true,
      mobile: "",
      email: "julian.krauser@jk-effects.com",
      postalCode: "",
      city: "",
      street: "",
      streetNumber: 0,
      streetNumberAddition: "",
      memberId: "2fe205f8-8ae8-4218-839f-af3456d3f39d",
      typeId: 46,
      //@ts-ignore
      member: {},
      type: { id: 46, type: "Email", useColumns: ["email"], communications: [] },
    },
  ],
};
