import { calendar } from "../entity/club/calendar";
import { member } from "../entity/club/member/member";

export const newsletterDemoData: {
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  dates: Array<
    Partial<
      calendar & {
        formattedStarttime: string;
        formattedFullStarttime: string;
        formattedEndtime: string;
        formattedFullEndtime: string;
      }
    >
  >;
  recipient: Partial<
    Omit<member, "salutation"> & { salutation: string; street: string; streetNumber: string; streetNumberAdd: string }
  >;
} = {
  title: "Beispiel Newsletter Daten",
  description: "Zusammenfassung der Demodaten.",
  newsletterTitle: "<h1>Sehr geehrtes Feuerwehrmitglied</h1>",
  newsletterText: "<p>zu folgenden Terminen möchten wir recht herzlich zur Teilnahme einladen:</p>",
  newsletterSignatur: "<p>Mit freundlichen Grüßen</p><p>...</p>",
  dates: [
    {
      title: "Termin 1",
      content: "<p>Beschreibung eines Termins</p>",
      starttime: new Date(),
      formattedStarttime: new Date().toLocaleDateString("de-DE", {
        weekday: "long",
        day: "2-digit",
        month: "long",
      }),
      formattedFullStarttime: new Date().toLocaleDateString("de-DE", {
        weekday: "long",
        day: "2-digit",
        month: "long",
        year: "numeric",
        hour: "2-digit",
        minute: "2-digit",
      }),
      endtime: new Date(),
      formattedEndtime: new Date().toLocaleDateString("de-DE", {
        weekday: "long",
        day: "2-digit",
        month: "long",
      }),
      formattedFullEndtime: new Date().toLocaleDateString("de-DE", {
        weekday: "long",
        day: "2-digit",
        month: "long",
        year: "numeric",
        hour: "2-digit",
        minute: "2-digit",
      }),
      location: "Feuerwehrhaus",
    },
  ],
  recipient: {
    firstname: "Julian",
    lastname: "Krauser",
    salutation: "Herr",
    nameaffix: "",
    street: "Straße",
    streetNumber: "Hausnummer",
    streetNumberAdd: "Adresszusatz",
  },
};
