import { member } from "../entity/club/member/member";
import { protocolAgenda } from "../entity/club/protocol/protocolAgenda";
import { protocolDecision } from "../entity/club/protocol/protocolDecision";
import { protocolVoting } from "../entity/club/protocol/protocolVoting";

export const protocolDemoData: {
  title: string;
  summary: string;
  iteration: number;
  date: Date;
  start: string;
  end: string;
  agenda: Array<Partial<protocolAgenda>>;
  decisions: Array<Partial<protocolDecision>>;
  presence: Array<Partial<member>>;
  absent: Array<Partial<member>>;
  votings: Array<Partial<protocolVoting>>;
} = {
  title: "Beispiel Protokoll Daten",
  summary: "Zusammenfassung der Demodaten.",
  iteration: 1,
  date: new Date(),
  start: "19:00:00",
  end: "21:00:00",
  agenda: [
    {
      topic: "Protokoll-TOP",
      context: "Inhalt des Punktes",
    },
  ],
  decisions: [
    {
      topic: "Entscheidung yz",
      context: "Inhalt der Entscheidung",
    },
  ],
  presence: [
    {
      firstname: "Julian",
      lastname: "Krauser",
    },
  ],
  absent: [],
  votings: [
    {
      topic: "Abstimmung xy",
      context: "Inhalt der Abstimmung",
      favour: 1,
      abstain: 2,
      against: 3,
    },
  ],
};
