import { Column, ColumnType, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { member } from "./member";
import { education } from "../../configuration/education";
import { getTypeByORM } from "../../../migrations/ormHelper";

@Entity()
export class memberEducations {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: getTypeByORM("date").type as ColumnType })
  start: Date;

  @Column({ type: getTypeByORM("date").type as ColumnType, nullable: true })
  end?: Date;

  @Column({ type: "varchar", length: 255, nullable: true })
  note?: string;

  @Column({ type: "varchar", length: 255, nullable: true })
  place?: string;

  @Column()
  memberId: string;

  @Column()
  educationId: number;

  @ManyToOne(() => member, (member) => member.awards, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;

  @ManyToOne(() => education, (education) => education.members, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
    cascade: ["insert"],
  })
  education: education;
}
