import { Column, ColumnType, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { member } from "./member";
import { qualification } from "../../configuration/qualification";
import { getTypeByORM } from "../../../migrations/ormHelper";

@Entity()
export class memberQualifications {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, nullable: true })
  note?: string;

  @Column({ type: getTypeByORM("date").type as ColumnType })
  start: Date;

  @Column({ type: getTypeByORM("date").type as ColumnType, nullable: true })
  end?: Date;

  @Column({ type: "varchar", length: 255, nullable: true })
  terminationReason?: string;

  @Column()
  memberId: string;

  @Column()
  qualificationId: number;

  @ManyToOne(() => member, (member) => member.awards, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;

  @ManyToOne(() => qualification, (qualification) => qualification.members, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
    cascade: ["insert"],
  })
  qualification: qualification;
}
