import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { newsletter } from "./newsletter";
import { calendar } from "../calendar";

@Entity()
export class newsletterDates {
  @PrimaryColumn({ type: "int" })
  newsletterId: number;

  @PrimaryColumn({ type: "varchar" })
  calendarId: string;

  @Column({ type: "varchar", length: 255, nullable: true })
  diffTitle: string | null;

  @Column({ type: "text", nullable: true })
  diffDescription: string | null;

  @ManyToOne(() => newsletter, (newsletter) => newsletter.dates, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  newsletter: newsletter;

  @ManyToOne(() => calendar, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  calendar: calendar;
}
