import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { newsletter } from "./newsletter";
import { member } from "../member/member";

@Entity()
export class newsletterRecipients {
  @PrimaryColumn()
  newsletterId: number;

  @PrimaryColumn()
  memberId: string;

  @ManyToOne(() => newsletter, (newsletter) => newsletter.recipients, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  newsletter: newsletter;

  @ManyToOne(() => member, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;
}
