import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { protocol } from "./protocol";
import { member } from "../member/member";

@Entity()
export class protocolPresence {
  @PrimaryColumn()
  memberId: string;

  @PrimaryColumn()
  protocolId: number;

  @Column({ type: "boolean", default: false })
  absent: boolean;

  @Column({ type: "boolean", default: true })
  excused: boolean;

  @ManyToOne(() => member, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;

  @ManyToOne(() => protocol, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  protocol: protocol;
}
