import { Column, Entity, OneToMany, PrimaryColumn, PrimaryGeneratedColumn } from "typeorm";
import { calendar } from "../club/calendar";

@Entity()
export class calendarType {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, unique: true })
  type: string;

  @Column({ type: "boolean", default: false }) // none specified cal dav request
  nscdr: boolean;

  @Column({ type: "varchar", length: 255 })
  color: string;

  @Column({ type: "varchar", length: 255, nullable: true, default: null })
  passphrase: string | null;

  @Column({ type: "varchar", length: 255, nullable: false, default: "" })
  externalPrefix: string;

  @Column({ type: "boolean", default: false })
  sendToWebpage: boolean;

  @OneToMany(() => calendar, (c) => c.type, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  calendar: calendar[];
}
