import { Column, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { communication } from "../club/member/communication";
import { CommunicationFieldType, communicationFieldTypes } from "../../type/fieldTypes";

@Entity()
export class communicationType {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, unique: true })
  type: string;

  @Column({
    type: "varchar",
    length: 255,
    default: "",
    transformer: {
      from(value: string): Array<CommunicationFieldType> {
        return communicationFieldTypes.filter((e) => value?.includes(e));
      },
      to(value: Array<CommunicationFieldType>): string {
        return value.filter((e) => communicationFieldTypes.includes(e)).join(",");
      },
    },
  })
  useColumns: Array<CommunicationFieldType>;

  @OneToMany(() => communication, (communication) => communication.type)
  communications: communication[];
}
