import { Column, ColumnType, CreateDateColumn, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { webapiPermission } from "./webapi_permission";
import { getTypeByORM } from "../../migrations/ormHelper";

@Entity()
export class webapi {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "text", unique: true, select: false })
  token: string;

  @Column({ type: "varchar", length: 255, unique: true })
  title: string;

  @CreateDateColumn()
  createdAt: Date;

  @Column({ type: getTypeByORM("datetime").type as ColumnType, nullable: true })
  lastUsage?: Date;

  @Column({ type: getTypeByORM("date").type as ColumnType, nullable: true })
  expiry?: Date;

  @OneToMany(() => webapiPermission, (apiPermission) => apiPermission.webapi, { cascade: ["insert"] })
  permissions: webapiPermission[];
}
