import { Column, ColumnType, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { user } from "./management/user";
import { getTypeByORM } from "../migrations/ormHelper";

@Entity()
export class refresh {
  @PrimaryColumn({ type: "varchar", length: 255 })
  token: string;

  @PrimaryColumn()
  userId: string;

  @Column({ type: getTypeByORM("datetime").type as ColumnType })
  expiry: Date;

  @ManyToOne(() => user, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  user: user;
}
