import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { equipment } from "./equipment";
import { inspectionPlan } from "../inspection/inspectionPlan";

@Entity()
export class equipmentType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255, unique: true })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => equipment, (e) => e.equipmentType, { cascade: ["insert"] })
  equipment: equipment[];

  @OneToMany(() => inspectionPlan, (ip) => ip.equipmentType, { cascade: ["insert"] })
  inspectionPlans: inspectionPlan[];

  equipmentCount: number;
}
