import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { inspection } from "./inspection";
import { inspectionPoint } from "./inspectionPoint";

@Entity()
export class inspectionPointResult {
  @PrimaryColumn()
  inspectionId: string;

  @PrimaryColumn()
  inspectionPointId: string;

  @Column({ type: "text" })
  value: string;

  @ManyToOne(() => inspection, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  inspection: inspection;

  @ManyToOne(() => inspectionPoint, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  inspectionPoint: inspectionPoint;
}
