import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { vehicle } from "./vehicle";
import { inspectionPlan } from "../inspection/inspectionPlan";

@Entity()
export class vehicleType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255, unique: true })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => vehicle, (e) => e.vehicleType, { cascade: ["insert"] })
  vehicle: vehicle[];

  @OneToMany(() => inspectionPlan, (ip) => ip.vehicleType, { cascade: ["insert"] })
  inspectionPlans: inspectionPlan[];

  vehicleCount: number;
}
