import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { wearable as wearable } from "./wearable";
import { inspectionPlan } from "../inspection/inspectionPlan";

@Entity()
export class wearableType {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255, unique: true })
  type: string;

  @Column({ type: "text", nullable: true })
  description: string;

  @OneToMany(() => wearable, (e) => e.wearableType, { cascade: ["insert"] })
  wearable: wearable[];

  @OneToMany(() => inspectionPlan, (ip) => ip.wearableType, { cascade: ["insert"] })
  inspectionPlans: inspectionPlan[];

  wearableCount: number;
}
