import { memberAwards } from "../../../../entity/club/member/memberAwards";
import { MemberAwardViewModel } from "../../../../viewmodel/admin/club/member/memberAward.models";

export default abstract class MemberAwardFactory {
  /**
   * @description map record to memberAward
   * @param {memberAward} record
   * @returns {MemberAwardViewModel}
   */
  public static mapToSingle(record: memberAwards): MemberAwardViewModel {
    return {
      id: record.id,
      given: record.given,
      note: record.note,
      date: record.date,
      award: record.award.award,
      awardId: record.award.id,
    };
  }

  /**
   * @description map records to memberAward
   * @param {Array<memberAward>} records
   * @returns {Array<MemberAwardViewModel>}
   */
  public static mapToBase(records: Array<memberAwards>): Array<MemberAwardViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
