import { memberEducations } from "../../../../entity/club/member/memberEducations";
import { MemberEducationViewModel } from "../../../../viewmodel/admin/club/member/memberEducation.models";

export default abstract class MemberEducationFactory {
  /**
   * @description map record to memberEducation
   * @param {memberEducation} record
   * @returns {MemberEducationViewModel}
   */
  public static mapToSingle(record: memberEducations): MemberEducationViewModel {
    return {
      id: record.id,
      start: record.start,
      end: record.end,
      note: record.note,
      place: record.place,
      education: record.education.education,
      educationId: record.education.id,
    };
  }

  /**
   * @description map records to memberEducation
   * @param {Array<memberEducation>} records
   * @returns {Array<MemberEducationViewModel>}
   */
  public static mapToBase(records: Array<memberEducations>): Array<MemberEducationViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
