import { newsletterRecipients } from "../../../../entity/club/newsletter/newsletterRecipients";
import { NewsletterRecipientsViewModel } from "../../../../viewmodel/admin/club/newsletter/newsletterRecipients.models";
import MemberFactory from "../member/member";

export default abstract class NewsletterRecipientsFactory {
  /**
   * @description map record to newsletterRecipients
   * @param {newsletterRecipients} record
   * @returns {NewsletterRecipientsViewModel}
   */
  public static mapToSingle(record: newsletterRecipients): NewsletterRecipientsViewModel {
    return {
      newsletterId: record.newsletterId,
      memberId: record.memberId,
      member: MemberFactory.mapToSingle(record.member),
    };
  }

  /**
   * @description map records to newsletterRecipients
   * @param {Array<newsletterRecipients>} records
   * @returns {Array<NewsletterRecipientsViewModel>}
   */
  public static mapToBase(records: Array<newsletterRecipients>): Array<NewsletterRecipientsViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
