import { protocol } from "../../../../entity/club/protocol/protocol";
import { ProtocolViewModel } from "../../../../viewmodel/admin/club/protocol/protocol.models";

export default abstract class ProtocolFactory {
  /**
   * @description map record to protocol
   * @param {protocol} record
   * @returns {ProtocolViewModel}
   */
  public static mapToSingle(record: protocol): ProtocolViewModel {
    return {
      id: record.id,
      title: record.title,
      date: record.date,
      starttime: record.starttime,
      endtime: record.endtime,
      summary: record.summary,
    };
  }

  /**
   * @description map records to protocol
   * @param {Array<protocol>} records
   * @returns {Array<ProtocolViewModel>}
   */
  public static mapToBase(records: Array<protocol>): Array<ProtocolViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
