import { protocolPrintout } from "../../../../entity/club/protocol/protocolPrintout";
import { ProtocolPrintoutViewModel } from "../../../../viewmodel/admin/club/protocol/protocolPrintout.models";

export default abstract class ProtocolPrintoutFactory {
  /**
   * @description map record to protocolPrintout
   * @param {protocol} record
   * @returns {ProtocolPrintoutViewModel}
   */
  public static mapToSingle(record: protocolPrintout): ProtocolPrintoutViewModel {
    return {
      id: record.id,
      title: record.title,
      iteration: record.iteration,
      createdAt: record.createdAt,
      protocolId: record.protocolId,
    };
  }

  /**
   * @description map records to protocolPrintout
   * @param {Array<protocol>} records
   * @returns {Array<ProtocolPrintoutViewModel>}
   */
  public static mapToBase(records: Array<protocolPrintout>): Array<ProtocolPrintoutViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
