import { protocolVoting } from "../../../../entity/club/protocol/protocolVoting";
import { ProtocolVotingViewModel } from "../../../../viewmodel/admin/club/protocol/protocolVoting.models";

export default abstract class ProtocolVotingFactory {
  /**
   * @description map record to protocolVoting
   * @param {protocol} record
   * @returns {ProtocolVotingViewModel}
   */
  public static mapToSingle(record: protocolVoting): ProtocolVotingViewModel {
    return {
      id: record.id,
      topic: record.topic,
      context: record.context,
      favour: record.favour,
      abstain: record.abstain,
      against: record.against,
      sort: record.sort,
      protocolId: record.protocolId,
    };
  }

  /**
   * @description map records to protocolVoting
   * @param {Array<protocol>} records
   * @returns {Array<ProtocolVotingViewModel>}
   */
  public static mapToBase(records: Array<protocolVoting>): Array<ProtocolVotingViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
