import { calendarType } from "../../../entity/configuration/calendarType";
import { CalendarTypeViewModel } from "../../../viewmodel/admin/configuration/calendarType.models";

export default abstract class CalendarTypeFactory {
  /**
   * @description map record to calendarType
   * @param {calendarType} record
   * @returns {CalendarTypeViewModel}
   */
  public static mapToSingle(record: calendarType): CalendarTypeViewModel {
    return {
      id: record.id,
      type: record.type,
      nscdr: record.nscdr,
      color: record.color,
      passphrase: record.passphrase,
    };
  }

  /**
   * @description map records to calendarType
   * @param {Array<calendarType>} records
   * @returns {Array<CalendarTypeViewModel>}
   */
  public static mapToBase(records: Array<calendarType>): Array<CalendarTypeViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
