import { executivePosition } from "../../../entity/configuration/executivePosition";
import { ExecutivePositionViewModel } from "../../../viewmodel/admin/configuration/executivePosition.models";

export default abstract class ExecutivePositionFactory {
  /**
   * @description map record to executivePosition
   * @param {executivePosition} record
   * @returns {ExecutivePositionViewModel}
   */
  public static mapToSingle(record: executivePosition): ExecutivePositionViewModel {
    return {
      id: record.id,
      position: record.position,
    };
  }

  /**
   * @description map records to executivePosition
   * @param {Array<executivePosition>} records
   * @returns {Array<ExecutivePositionViewModel>}
   */
  public static mapToBase(records: Array<executivePosition>): Array<ExecutivePositionViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
