import { membershipStatus } from "../../../entity/configuration/membershipStatus";
import { MembershipStatusViewModel } from "../../../viewmodel/admin/configuration/membershipStatus.models";

export default abstract class MembershipStatusFactory {
  /**
   * @description map record to membershipStatus
   * @param {membershipStatus} record
   * @returns {MembershipStatusViewModel}
   */
  public static mapToSingle(record: membershipStatus): MembershipStatusViewModel {
    return {
      id: record.id,
      status: record.status,
    };
  }

  /**
   * @description map records to membershipStatus
   * @param {Array<membershipStatus>} records
   * @returns {Array<MembershipStatusViewModel>}
   */
  public static mapToBase(records: Array<membershipStatus>): Array<MembershipStatusViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
