import { qualification } from "../../../entity/configuration/qualification";
import { QualificationViewModel } from "../../../viewmodel/admin/configuration/qualification.models";

export default abstract class QualificationFactory {
  /**
   * @description map record to qualification
   * @param {qualification} record
   * @returns {AwardViewModel}
   */
  public static mapToSingle(record: qualification): QualificationViewModel {
    return {
      id: record.id,
      qualification: record.qualification,
      description: record.description,
    };
  }

  /**
   * @description map records to qualification
   * @param {Array<qualification>} records
   * @returns {Array<AwardViewModel>}
   */
  public static mapToBase(records: Array<qualification>): Array<QualificationViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
