import { salutation } from "../../../entity/configuration/salutation";
import { SalutationViewModel } from "../../../viewmodel/admin/configuration/salutation.models";

export default abstract class SalutationFactory {
  /**
   * @description map record to salutation
   * @param {salutation} record
   * @returns {SalutationViewModel}
   */
  public static mapToSingle(record: salutation): SalutationViewModel {
    return {
      id: record.id,
      salutation: record.salutation,
    };
  }

  /**
   * @description map records to salutation
   * @param {Array<salutation>} records
   * @returns {Array<SalutationViewModel>}
   */
  public static mapToBase(records: Array<salutation>): Array<SalutationViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
