import { vehicleType } from "../../../../entity/unit/vehicle/vehicleType";
import { VehicleTypeViewModel } from "../../../../viewmodel/admin/unit/vehicle/vehicleType.models";

export default abstract class VehicleTypeFactory {
  /**
   * @description map record to vehicleType
   * @param {vehicleType} record
   * @returns {VehicleTypeViewModel}
   */
  public static mapToSingle(record: vehicleType): VehicleTypeViewModel {
    return {
      id: record.id,
      type: record.type,
      description: record.description,
      vehicleCount: record.vehicleCount,
    };
  }

  /**
   * @description map records to vehicleType
   * @param {Array<vehicleType>} records
   * @returns {Array<VehicleTypeViewModel>}
   */
  public static mapToBase(records: Array<vehicleType>): Array<VehicleTypeViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
