import { wearableType } from "../../../../entity/unit/wearable/wearableType";
import { WearableTypeViewModel } from "../../../../viewmodel/admin/unit/wearable/wearableType.models";

export default abstract class WearableTypeFactory {
  /**
   * @description map record to wearableType
   * @param {wearableType} record
   * @returns {WearableTypeViewModel}
   */
  public static mapToSingle(record: wearableType): WearableTypeViewModel {
    return {
      id: record.id,
      type: record.type,
      description: record.description,
      wearableCount: record.wearableCount,
    };
  }

  /**
   * @description map records to wearableType
   * @param {Array<wearableType>} records
   * @returns {Array<WearableTypeViewModel>}
   */
  public static mapToBase(records: Array<wearableType>): Array<WearableTypeViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
