import Handlebars from "handlebars";

Handlebars.registerHelper("date", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
  });
});

Handlebars.registerHelper("weekdayDayMonth", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    weekday: "long",
    day: "2-digit",
    month: "long",
  });
});

Handlebars.registerHelper("longdate", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    weekday: "long",
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
  });
});

Handlebars.registerHelper("datetime", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
    hour: "2-digit",
    minute: "2-digit",
  });
});

Handlebars.registerHelper("longdatetime", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    day: "2-digit",
    month: "long",
    year: "numeric",
    hour: "2-digit",
    minute: "2-digit",
  });
});

Handlebars.registerHelper("longdatetimeWithWeekday", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    weekday: "long",
    day: "2-digit",
    month: "long",
    year: "numeric",
    hour: "2-digit",
    minute: "2-digit",
  });
});

Handlebars.registerHelper("json", function (context) {
  return JSON.stringify(context);
});

Handlebars.registerHelper("eq", function (p, q, options) {
  return p == q ? options.fn(this) : options.inverse(this);
});
