import { newsletterDemoData } from "../demodata/newsletter.data";
import { protocolDemoData } from "../demodata/protocol.data";
import { PermissionModule } from "../type/permissionTypes";
import { memberDemoData } from "../demodata/member.data";

export abstract class DemoDataHelper {
  static getData(scope: `${PermissionModule}` | `${PermissionModule}.${string}`) {
    switch (scope) {
      case "protocol":
        return protocolDemoData;
      case "newsletter":
        return newsletterDemoData;
      case "member":
        return memberDemoData;
      case "listprint":
        return {
          today: new Date(),
          list: [memberDemoData.memberships],
        };
      case "listprint.member":
        return {
          today: new Date(),
          list: [memberDemoData.member],
        };
      default:
        return {};
    }
  }
}
