import { NextFunction, Request, Response } from "express";
import UserService from "../service/management/userService";
import CustomRequestException from "../exceptions/customRequestException";

export default async function allowSetup(req: Request, res: Response, next: NextFunction) {
  let count = await UserService.count();
  if (count != 0) {
    throw new CustomRequestException(405, "service is already set up");
  }

  next();
}
