import { NextFunction, Request, Response } from "express";

export default async function detectPWA(req: Request, res: Response, next: NextFunction) {
  const userAgent = req.headers["user-agent"] || "";
  if ((userAgent.includes("Mobile") && userAgent.includes("Standalone")) || req.headers["x-pwa-client"] === "true") {
    req.isPWA = true;
  } else {
    req.isPWA = false;
  }
  next();
}
