import { NextFunction, Request, Response } from "express";
import { ExceptionBase } from "../exceptions/exceptionsBaseType";
import CustomRequestException from "../exceptions/customRequestException";
import UnauthorizedRequestException from "../exceptions/unauthorizedRequestException";

export default function errorHandler(err: ExceptionBase | Error, req: Request, res: Response, next: NextFunction) {
  let status = 500;
  let msg = "Internal Server Error";

  if (err instanceof CustomRequestException) {
    status = err.statusCode;
    msg = err.message;
  }

  if (err instanceof CustomRequestException) {
    console.log("Custom Handler", status, msg);
  } else {
    console.log("Error Handler", err);
  }

  res.status(status).send(msg);
}
