import { NextFunction, Request, Response } from "express";
import ForbiddenRequestException from "../exceptions/forbiddenRequestException";

export default async function preventWebapiAccess(req: Request, res: Response, next: NextFunction) {
  if (req.isWebApiRequest) {
    throw new ForbiddenRequestException("This route cannot be accessed via webapi");
  } else {
    next();
  }
}
