import express, { Request, Response } from "express";
import PermissionHelper from "../../../helpers/permissionHelper";
import { deleteInvite, getInvites, inviteUser } from "../../../controller/inviteController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getInvites(req, res);
});

router.post(
  "/",
  PermissionHelper.passCheckMiddleware("create", "management", "user"),
  async (req: Request, res: Response) => {
    await inviteUser(req, res);
  }
);

router.delete(
  "/:mail",
  PermissionHelper.passCheckMiddleware("delete", "management", "user"),
  async (req: Request, res: Response) => {
    await deleteInvite(req, res);
  }
);

export default router;
