import express from "express";
import { finishInvite, verifyInvite } from "../controller/inviteController";
import ParamaterPassCheckHelper from "../helpers/parameterPassCheckHelper";

var router = express.Router({ mergeParams: true });

router.post("/verify", ParamaterPassCheckHelper.requiredIncludedMiddleware(["mail", "token"]), async (req, res) => {
  await verifyInvite(req, res);
});

router.put(
  "/",
  ParamaterPassCheckHelper.requiredIncludedMiddleware(["mail", "token", "secret", "routine "]),
  async (req, res) => {
    await finishInvite(req, res);
  }
);

export default router;
