import express, { Request, Response } from "express";
import { FileSystemHelper } from "../helpers/fileSystemHelper";
import Parser from "rss-parser";

var router = express.Router({ mergeParams: true });

router.get("/version", async (req: Request, res: Response) => {
  let serverPackage = FileSystemHelper.readRootFile("/package.json");
  let serverJson = JSON.parse(serverPackage);
  res.send({
    name: serverJson.name,
    description: serverJson.description,
    version: serverJson.version,
    author: serverJson.author,
    license: serverJson.license,
  });
});

router.get("/settings", async (req: Request, res: Response) => {
  res.json({});
});

router.get("/serverrss", async (req: Request, res: Response) => {
  const parser = new Parser();
  let feed = await parser.parseURL("https://forgejo.jk-effects.cloud/Ehrenamt/ff-admin-server/releases.rss");
  res.json(feed);
});

router.get("/clientrss", async (req: Request, res: Response) => {
  const parser = new Parser();
  let feed = await parser.parseURL("https://forgejo.jk-effects.cloud/Ehrenamt/ff-admin/releases.rss");
  res.json(feed);
});

export default router;
