import express from "express";
import {
  changeMyPassword,
  changeToPW,
  changeToTOTP,
  getChangeToTOTP,
  getMeById,
  getMyRoutine,
  getMyTotp,
  transferOwnership,
  updateMe,
  verifyMyTotp,
} from "../controller/userController";

var router = express.Router({ mergeParams: true });

router.get("/me", async (req, res) => {
  await getMeById(req, res);
});

router.get("/routine", async (req, res) => {
  await getMyRoutine(req, res);
});

router.get("/totp", async (req, res) => {
  await getMyTotp(req, res);
});

router.get("/changeToTOTP", async (req, res) => {
  await getChangeToTOTP(req, res);
});

router.post("/verify", async (req, res) => {
  await verifyMyTotp(req, res);
});

router.patch("/changepw", async (req, res) => {
  await changeMyPassword(req, res);
});

router.patch("/changeToTOTP", async (req, res) => {
  await changeToTOTP(req, res);
});

router.patch("/changeToPW", async (req, res) => {
  await changeToPW(req, res);
});

router.put("/transferOwner", async (req, res) => {
  await transferOwnership(req, res);
});

router.patch("/me", async (req, res) => {
  await updateMe(req, res);
});

export default router;
