import { PermissionObject } from "./permissionTypes";

export type JWTData = {
  [key: string]: string | number | boolean | PermissionObject;
};

export type JWTToken = {
  userId: string;
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
  isOwner: boolean;
  permissions: PermissionObject;
} & JWTData;

export type JWTRefresh = {
  userId: number;
} & JWTData;
