import { SalutationViewModel } from "../../configuration/salutation.models";
import { CommunicationViewModel } from "./communication.models";
import { MembershipViewModel } from "./membership.models";

export interface MemberViewModel {
  id: string;
  salutation: SalutationViewModel;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  firstMembershipEntry?: MembershipViewModel;
  lastMembershipEntry?: MembershipViewModel;
  sendNewsletter?: CommunicationViewModel;
  smsAlarming?: Array<CommunicationViewModel>;
  preferredCommunication?: Array<CommunicationViewModel>;
  note?: string;
}

export interface MemberStatisticsViewModel {
  id: string;
  internalId: string;
  salutation: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  todayAge: number;
  ageThisYear: number;
  exactAge: string;
}
