import { DamageReportViewModel } from "./damageReport.models";
import { EquipmentViewModel } from "./equipment/equipment.models";
import { VehicleViewModel } from "./vehicle/vehicle.models";
import { WearableViewModel } from "./wearable/wearable.models";

export type RepairAssigned = {
  relatedId: string;
} & (
  | {
      assigned: "equipment";
      related: EquipmentViewModel;
    }
  | {
      assigned: "vehicle";
      related: VehicleViewModel;
    }
  | {
      assigned: "wearable";
      related: WearableViewModel;
    }
);

export type RepairViewModel = {
  id: string;
  createdAt: Date;
  finishedAt?: Date;
  status: string;
  responsible: string;
  title: string;
  description: string;
  images: string[];
  reportDocument?: string;
  reports: DamageReportViewModel[];
} & RepairAssigned;
