import { DataSource, ViewColumn, ViewEntity } from "typeorm";
import { member } from "../entity/club/member/member";

@ViewEntity({
  expression: (datasource: DataSource) =>
    datasource
      .getRepository(member)
      .createQueryBuilder("member")
      .select("member.id", "id")
      .addSelect("member.internalId", "internalId")
      .addSelect("member.note", "note")
      .addSelect("member.firstname", "firstname")
      .addSelect("member.lastname", "lastname")
      .addSelect("member.nameaffix", "nameaffix")
      .addSelect("member.birthdate", "birthdate")
      .addSelect("salutation.salutation", "salutation")
      .addSelect(`DATE_PART('year', AGE(CURRENT_DATE, member.birthdate))`, "todayAge")
      .addSelect(`EXTRACT(YEAR FROM CURRENT_DATE) - EXTRACT(YEAR FROM member.birthdate)`, "ageThisYear")
      .addSelect(`AGE(CURRENT_DATE, member.birthdate)`, "exactAge")
      .leftJoin("member.salutation", "salutation"),
})
export class memberView {
  @ViewColumn()
  id: string;

  @ViewColumn()
  salutation: string;

  @ViewColumn()
  internalId: string;

  @ViewColumn()
  note: string;

  @ViewColumn()
  firstname: string;

  @ViewColumn()
  lastname: string;

  @ViewColumn()
  nameaffix: string;

  @ViewColumn()
  birthdate: Date;

  @ViewColumn()
  todayAge: number;

  @ViewColumn()
  ageThisYear: number;

  @ViewColumn()
  exactAge: string;
}
